Create webhook definition - Fabric

Create webhook definition

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/webhook/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "target": "http://www.test.com",
  "protocol": "HTTP",
  "source": "OMS",
  "events": "[ORDER_CREATED]",
  "tenantId": "<string>",
  "targetApiKey": "adfasdWdsaQFSsdf",
  "apiVersion": "<string>",
  "format": "application/json",
  "callbackUrl": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z"
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/webhook/"

payload = {
    "target": "http://www.test.com",
    "protocol": "HTTP",
    "source": "OMS",
    "events": "[ORDER_CREATED]",
    "tenantId": "<string>",
    "targetApiKey": "adfasdWdsaQFSsdf",
    "apiVersion": "<string>",
    "format": "application/json",
    "callbackUrl": "<string>",
    "createdDate": "2023-11-07T05:31:56Z",
    "updatedDate": "2023-11-07T05:31:56Z"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    target: 'http://www.test.com',
    protocol: 'HTTP',
    source: 'OMS',
    events: '[ORDER_CREATED]',
    tenantId: '<string>',
    targetApiKey: 'adfasdWdsaQFSsdf',
    apiVersion: '<string>',
    format: 'application/json',
    callbackUrl: '<string>',
    createdDate: '2023-11-07T05:31:56Z',
    updatedDate: '2023-11-07T05:31:56Z'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/webhook/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

Successful Response

{
  "target": "http://www.test.com",
  "protocol": "HTTP",
  "source": "OMS",
  "events": "[ORDER_CREATED]",
  "webhookId": "<string>",
  "tenantId": "<string>",
  "targetApiKey": "adfasdWdsaQFSsdf",
  "apiVersion": "<string>",
  "format": "application/json",
  "callbackUrl": "<string>",
  "createdDate": "2023-11-07T05:31:56Z",
  "updatedDate": "2023-11-07T05:31:56Z"
}

Error Responses

{
  "message": "Webhook Definition with target, tenantId, protocol, source, apiVersion already exists!"
}
{
  "message": "Internal Server Error"
}

Authorizations

Authorization
Bearer <token>

Headers